/* Aero Sentry CSS */
:root {
  --primary-color: #3498db;
  --secondary-color: #d6dcdd;
  --background-color: #fcfeff;
  --body-background-color: #ffffffe6;
  --text-color: #232727;
  --accent-color: #2980b9;
  --link-color: #3498db;
  --link-hover-color: #2980b9;
  --border-size-m: 0.12rem;
  --border-size-l: 0.24rem;
}

@media (prefers-color-scheme: dark) {
  :root {
    --background-color: #2b2b2b;
    --body-background-color: #1a1a1ae6;
    --text-color: #e0e0e0;
    --secondary-color: #444444;
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  height: 100%;
}

.loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: var(--body-background-color);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 10;
}

.vg-container {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 15px 22px;
  min-width: 170px;
  gap: 1rem;
  background-color: var(--background-color);
  border: var(--border-size-m) solid var(--primary-color);
  color: var(--text-color);
  border-radius: .5rem;
  transition: width 0.5s ease;
  z-index: 11;
}

.vg-container form {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.vg-container .section-one,
.vg-container .section-two {
  display: inline-block;
}

.vg-text {
  font-family: 'Arial Narrow', Arial, sans-serif;
  font-weight: 200;
  letter-spacing: 0.05em;
  transition: color 0.5s ease-in-out;
}

#vg-text {
  font-size: 1.3em;
}
#vg-error {
  font-size: 1.1em;
}

.vg-container #vg-checkbox {
  display: none;
  -moz-appearance:none;
  -webkit-appearance:none;
  appearance:none;
}

.vg-container .section-one .spinner-small {
  border: var(--border-size-l) solid var(--secondary-color);
  border-top: var(--border-size-l) solid var(--primary-color);
  border-radius: 50%;
  width: 1.6rem;
  height: 1.6rem;
  animation: spin 1s linear infinite;
  z-index: 1000;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.vg-container .captcha-checkbox {
  width: 20px;
  height: 20px;
  margin: 0;
  transform: scale(1.0);
  transition: transform 0.2s ease-in-out;
  background-color: var(--body-background-color);
  border-radius: .15rem;
  border: solid 2px #6e7378;
  vertical-align: middle;
  cursor: pointer;
}

.vg-container .captcha-checkbox:hover {
  transform: scale(1.1);
}

.vg-container .captcha-checkbox:checked {
  color: inherit;
}

.vg-container .captcha-checkbox:disabled {
  cursor: not-allowed;
  /*background-color: rgba(0,0,0,0.2);*/
}
.vg-container .captcha-checkbox:disabled:hover {
  transform: none;
}

.compatability-warning {
  margin: 0 auto;
  margin-top: 35vh;
  max-width: 80vw;
  font: 0.9em 'Arial Narrow', Arial, sans-serif;
  text-align: center;
  padding: 1em 5px;
  border: 1px solid #f00;
  background-color: #ffe0e0;
  color: #a00;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
}

.rc-anchor-pt {
  font-family: Roboto,helvetica,arial,sans-serif;
  font-size: 8px;
  font-weight: 400;
}

.vg-footer {
  position: absolute;
  bottom: 0;
  right: .6em;
  font: inherit;
  line-height: 12px;
}

#ray-id {
  font-size: 11px;
  color: var(--text-color);
  line-height: inherit;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', sans-serif;
}

.vg-footer-link {
  cursor: pointer;
  color: var(--link-color);
  text-decoration: underline;
  white-space: nowrap;
  line-height: inherit;
  color: var(--text-color);
  font-size: 8px;
  font-weight: 400;
  font-style: normal;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', sans-serif;
}